Loading...
Searching...
No Matches
Dune::ParallelIndexSet< TG, TL, N > Class Template Reference
Common » Parallel Communication » Parallel Computing based on Indexsets

Manager class for the mapping between local indices and globally unique indices. More...

`#include <dune/common/parallel/indexset.hh>`

Inheritance diagram for Dune::ParallelIndexSet< TG, TL, N >:

## Classes

class | iterator
| The iterator over the pairs. More...

## Public Types

typedef TG | GlobalIndex
| the type of the global index. This type has to provide at least a operator< for sorting.
typedef TL | LocalIndex
| The type of the local index, e.g. ParallelLocalIndex.
typedef Dune::IndexPair< GlobalIndex, LocalIndex > | IndexPair
| The type of the pair stored.
typedef ArrayList< IndexPair, N >::const_iterator | const_iterator
| The constant iterator over the pairs.

## Public Member Functions

| ParallelIndexSet ()
| Constructor.
const ParallelIndexSetState & | state ()
| Get the state the index set is in.
void | beginResize ()
| Indicate that the index set is to be resized.
void | add (const GlobalIndex &global)
| Add an new index to the set.
void | add (const GlobalIndex &global, const LocalIndex &local)
| Add an new index to the set.
void | markAsDeleted (const iterator &position)
| Mark an index as deleted.
void | endResize ()
| Indicate that the resizing finishes.
IndexPair & | operator[] (const GlobalIndex &global)
| Find the index pair with a specific global id.
IndexPair & | at (const GlobalIndex &global)
| Find the index pair with a specific global id.
bool | exists (const GlobalIndex &global) const
| Find the index pair with a specific global id.
const IndexPair & | operator[] (const GlobalIndex &global) const
| Find the index pair with a specific global id.
const IndexPair & | at (const GlobalIndex &global) const
| Find the index pair with a specific global id.
iterator | begin ()
| Get an iterator over the indices positioned at the first index.
iterator | end ()
| Get an iterator over the indices positioned after the last index.
const_iterator | begin () const
| Get an iterator over the indices positioned at the first index.
const_iterator | end () const
| Get an iterator over the indices positioned after the last index.
void | renumberLocal ()
| Renumbers the local index numbers.
int | seqNo () const
| Get the internal sequence number.
size_t | size () const
| Get the total number (public and nonpublic) indices.

## Static Public Attributes

static constexpr int | arraySize = (N>0) ? N : 1
| The size of the individual arrays in the underlying ArrayList.

## Friends

class | GlobalLookupIndexSet< ParallelIndexSet< TG, TL, N > >

## Detailed Description

template<typename TG, typename TL, int N = 100>
class Dune::ParallelIndexSet< TG, TL, N >

Manager class for the mapping between local indices and globally unique indices.

The mapping is between a globally unique id and local index. The local index is consecutive and non persistent while the global id might not be consecutive but definitely is persistent.

The documentation for this class was generated from the following file:

- indexset.hh